Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 245160 (gcc-4.3-stable)

Summary: [tracker] GCC 4.3 stabilization
Product: Gentoo Linux Reporter: Ryan Hill (RETIRED) <rhill>
Component: [OLD] GCC PortingAssignee: Please assign to toolchain <gcc-porting>
Status: RESOLVED FIXED    
Severity: normal CC: andrey.vihrov, beau, esigra, fauli, fmccor, giles, jan.oravec, kanelxake, martin.holzer, mbartoszkiewicz, micheleschi, niko.bockerman+gentoo-bugzilla, nikoli, please.no.spam.here, polynomial-c, ruth, szarpaj, transacid, zorry
Priority: High Keywords: Tracker
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on: 189798, 196282, 198121, 202529, 203950, 216684, 217427, 221843, 223535, 225459, 225777, 227213, 227743, 229679, 230848, 237953, 239414, 239676, 239738, 240608, 241500, 245085, 245167, 245168, 245169, 245173, 245175, 245176, 245178, 245185, 245187, 245190, 245192, 245193, 245195, 245197, 245198, 245246, 245248, 245249, 245252, 245285, 245291, 245293, 245295, 245296, 245298, 245299, 245300, 245301, 245303, 245436, 245438, 245439, 245440, 245547, 245549, 245551, 245552, 245553, 245554, 245555, 245556, 245559, 245561, 245562, 245563, 245565, 245566, 245568, 245569, 245571, 245572, 245675, 245677, 245679, 245680, 245681, 245685, 245690, 245692, 245694, 245695, 245696, 245697, 245699, 245701, 245704, 245707, 245708, 245710, 245713, 245715, 245717, 245719, 245852, 245854, 245855, 245857, 245859, 245861, 245862, 245864, 245866, 245868, 245869, 245870, 245871, 245872, 245873, 245874, 245875, 245876, 245877, 246064, 246074, 246143, 247287, 247553, 247634, 249049, 256007, 259031, 259136, 259137, 259542, 260088, 261220, 261227, 264688, 267031, 294831, 318649    
Bug Blocks:    

Description Ryan Hill (RETIRED) gentoo-dev 2008-11-01 17:21:43 UTC
This bug will be used to track all packages that must be stabilized before gcc-4.3.

- Please file a NEW bug for each package that needs to be stabilized and have it BLOCK this one.

- The bug should be assigned to the maintainer of the package, not gcc-porting.  

- Please don't add gcc-porting to the CC list.  The amount of mail we get on these things is already scary.

- DO NOT use this bug for any problems with GCC 4.3 itself.  Instead, file a NEW bug describing your issue and assign it to toolchain.

Thanks.
Comment 1 Pacho Ramos gentoo-dev 2008-11-02 00:21:09 UTC
>=sys-libs/glibc-2.7-r2 will be also required (at least for amd64), but I haven't had any tracker or stabilization bug for this (and I don't know what glibc version would toolchain herd want to stabilize...)
Comment 2 Magnus Granberg gentoo-dev 2008-11-02 02:05:38 UTC
(In reply to comment #1)
> >=sys-libs/glibc-2.7-r2 will be also required (at least for amd64), but I haven't had any tracker or stabilization bug for this (and I don't know what glibc version would toolchain herd want to stabilize...)
> 
I think the herd want to stabilize glibc 2.8
Comment 3 Christian Faulhammer (RETIRED) gentoo-dev 2008-11-02 17:44:42 UTC
(In reply to comment #2)
> (In reply to comment #1)
> > >=sys-libs/glibc-2.7-r2 will be also required (at least for amd64), but I haven't had any tracker or stabilization bug for this (and I don't know what glibc version would toolchain herd want to stabilize...)
> > 
> I think the herd want to stabilize glibc 2.8

 So, Ryan...we need another tracker for Glibc, as some packages are still broken with it.  Temporarily adding the Glibc issue tracker (not stabilisation)
Comment 4 Ryan Hill (RETIRED) gentoo-dev 2009-02-15 04:21:39 UTC
in my opinion, the only things holding this back now are the glibc-2.8 stabilization (bug #247553) and boost (bug #245192)
Comment 5 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-03-02 19:15:02 UTC
Ok, we just have the stragglers left. Here is the status on all remaining open bugs that are blocking the stabilization. With the expection of a few important ones (glibc & boost), IMHO, the others are not so important.

@sparc only:
bug 217427
bug 245167
bug 245173

@ppc64 only:
bug 240608 (issue with package)
bug 241500
bug 245168

@ppc only:
bug 245296 (game bug, not a blocker)
bug 245440
bug 245872
bug 247287

@amd64 only:
bug 245874
bug 259136

@x86 only:
bug 259031

@multiple arches
bug 245293 (game bug, not a blocker)
bug 245295 (game bug, not a blocker)
bug 245439
bug 245549 (ppc & sparc)
bug 245701
bug 245707 (main arches except alpha)
bug 245873 (ppc & hppa)
bug 245875 (amd64, x86, sparc)
bug 246064 (hppa, ppc64)
** bug 247553 (ia64, ppc, sparc, x86) - glibc-2.8!
bug 259542 (no arches yet at time of writing)
bug 260088 (amd64 & ppc)

issues with packages:
bug 227743
** bug 245192 (IMO, one of a few blockers left..boost)
bug 245681 (maintainer would like more time before stabling)
bug 245704 (many arches, but broken)
bug 245715 (doesn't build)

other:
bug 257585 (security bug, all arches done)
Comment 6 Ryan Hill (RETIRED) gentoo-dev 2009-03-02 20:36:32 UTC
(In reply to comment #5)

a) thanks!
b)  aspell:
> bug 259542 (no arches yet at time of writing)
this is also a blocker IMO.
Comment 7 Ryan Hill (RETIRED) gentoo-dev 2009-03-15 00:28:59 UTC
okay, time to get this done
Comment 8 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-03-23 00:17:03 UTC
Status of all open bugs:

bug 198121 - gcc 4.3 porting, very unlikely to get closed before gcc-4.3 is stable (eg. glibc-2.8 porting bug is still open)
bug 225459 - glibc-2.8 porting
bug 247553 - glibc-2.8 stablereq, all arches done.

treecleaner (pmasked):
bug 227743

ppc only:
bug 245293 (games bug)
bug 245296 (games bug)

sparc only:
bug 245549

m68k only:
bug 259542

Random / Issues with package:
bug 245439 - won't build now..
bug 245875 - x86 only, but issues.
bug 245715 - issues and maintainers lie silent
bug 245681 - maintainer wants to wait before marking stable. (I don't see much point, but his call I guess)
bug 245701 - Multiple arches, test suite failure. (alpha, arm, ia64, s390, sh)
bug 245704 - Multiple arches, test suite failure. (amd64, ppc, sparc, x86)
bug 245707 - Multiple arches, (amd64, ppc, ppc64, sparc, x86)
bug 263334 - boost patch for 1.34, Ryan is handling this one and it will probably be applied without a revbump.

Much progress since Comment #5
Comment 9 Ryan Hill (RETIRED) gentoo-dev 2009-03-27 19:48:21 UTC
vapier: i think we can go ahead now.
Comment 10 SpanKY gentoo-dev 2009-03-27 21:17:09 UTC
sounds good ... i'd file a new bug to target 4.3.2-r3 for stable
Comment 11 Ryan Hill (RETIRED) gentoo-dev 2009-03-28 03:32:31 UTC
all archs?